Subject: (ION) RE: [MOBILE-IP] Private addressing reference in rfc2002-bis ?

From: Petri Bernhard <[email-masked]>
Date: Fri, 25 Feb 2000 11:36:23 +0100

Hi Gabriel,

some time ago, we ran into similar discussions on how to handle private
addresses in the ION WG, and developed the VPN-ID concept there (RFC 2685).
By this concept, we've e.g. extended existing ION protocols like NHRP (RFC
2332, an address resolution protocol) to be able to also handle private
address realms (RFC 2735).  RFC 2735 e.g. says:
** In order to properly resolve a private VPN address, it is necessary for
the NHRP device to be able to identify the VPN in which the address has
meaning and determine resolution information based on that "scope". ***

VPN-IDs use a fixed 7-octet structure which has been derived from the
structure of the MAC Addresses (3 octet organization identifier "OUI" +
subsequent index value). In the draft I've submitted, I've used the VPN-ID
as a "realm identifier" within the context of IP-IP tunnels. It could
similarly also be used for indicating supported address realms in FA
advertisements. 

I prefer such a small fixed-size identfier to DNS-like solutions for the
indication of an address realm. It's easy to use and can be easily inserted
in protocol formats. If a company already owns an OUI, it can immediately
identify their address realms without asking any remote allocation
authority; also, network/service providers can immediately allocate
realm-IDs for the private address schemes of user groups / customers without
administrative overhead. 

Kind regards
-Bernhard

Bernhard Petri, Siemens 
Tel: +49 89 722-34578
Fax: +49 89 722-29098
[email-masked]
______________________________

> -----Original Message-----
> From:	Gabriel Montenegro [SMTP:[email-masked]]
> Sent:	Thursday, February 24, 2000 11:27 PM
> To:	[email-masked]
> Subject:	Re: [MOBILE-IP] Private addressing reference in rfc2002-bis
> ?
> 
	 (...) <snip> 

> > Folks seem to like the nai extension idea.
> 
> i've been thinking about this in the context of rsip and of
> rfc2344bis and i am more and more convinced that what we need
> is almost there but not quite. what we don't need is the nai.
> the nai (rfc2486) was designed for and is suitable to identify users
> and roaming devices to the network (e.g. "user@realm").
> 
> what we need is for the network to qualify itself to the users
> or roaming devices (e.g. by providing a "realm identifier").
> at first thought, it
> would seem like this is nothing but the "realm" as defined
> in rfc2486 (nai).  whereas mn's and users
> may use nai's to identify themselves, network elements like
> fa's, routers, network access servers could conceivably
> use "realm indicators" to indicate what address space
> or realm they provide access to.
> 
> so a "realm" as in the nai is almost it, but we still need
> a human readable ascii label (or do we?) for the root realm
> (sometimes referred to as the public internet).
> 
> this root domain has several representations in section 3.1
> of rfc1034:
> 
>    binary: null label
>         'null (i.e., zero length) label used for the root'
> 
>    ascii: " "
>         'For example, A.B.C.D is a subdomain of B.C.D, C.D, D, and " "'
> 
>    ascii: "."
>         'The most common interpretation uses the root "." '
> 
> given that an absolute or rooted fqdn (from which the "realm" in the
> nai derives) terminates with a "." (e.g. "domain.com."), then
> perhaps that could be used as the ascii representation of
> the root realm, specially given the precedent shown above.
> the ABNF for a "realm indicator" (ri) could simply be:
> 
>    realm-indicator  = realm / "."
> 
>    realm            = <from network access identifier (rfc2486)>
> 
> a general "private address" extension might need to indicate
> what ri an agent address belongs to (home agent or care-of
> address):
> 
>         coa, ri
> 
> >
> > > the private addr extension need not be included in all advertisements.
> upon hearing a 'P' bit,
> > > the mn could solicit with a special code, say in order to obtain the
> priv
> > > addr extension.
> > >
> >
> > I like this idea. Although I am not quite clear on the idea about the
> home
> > agent advertisement. If a HA has one side public net and private net on
> the
> > other side, then what address would it advertise on the private side ?
> Do we
> > assume that  the private addressed MNs never come back home and they are
> > pre-configured to use HA's global address ? On the other hand if HA
> > advertises private address on it's private net, then we assume that MNs
> are
> > intelligent enough  to figure out which home agent address to use when
> they
> > are away from home.
> 
> a multihomed device with one interface on the "public internet"
> could advertise more than one coa/ri pair, for example:
> 
>         ipaddr1, "domain.com."
>         ipaddr2, "."
> 
> a cursory glance might indicate that the above is similar to the
> use of point code and network indicator in section 3.2.2 of:
> 
> http://search.ietf.org/internet-drafts/draft-coene-ss7-over-ip-00.txt
> 
> but i really don't understand ss7.
> just some random thoughts...
> 
> -gabriel
X-Info: To unsubscribe, email [email-masked]' with
X-Info: 'unsubscribe ion' in the body of the message.